Bug 218406 - dhcdbd wakes up 5 times per second needlessly
dhcdbd wakes up 5 times per second needlessly
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcdbd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks: wakeup
  Show dependency treegraph
 
Reported: 2006-12-05 00:10 EST by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.7-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 12:43:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-12-05 00:10:03 EST
Why does it have its own homegrown mainloop implementation anyway,
instead of using glib's mainloop, which doesn't have this flaw ?
Comment 1 David Cantrell 2006-12-05 11:38:08 EST
I have absolutely no idea.  I inherited this project.  But I completely agree
with you that it's silly not to be using glib's mainloop.

I'll get this fixed up.

Thanks.
Comment 2 Arjan van de Ven 2007-06-03 16:25:56 EDT
note that a fix/hack for this issue is available on the PowerTOP website:
http://www.linuxpowertop.org/patches/dhcdbd.patch
Comment 3 Fedora Update System 2007-06-18 12:43:12 EDT
dhcdbd-2.7-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 William Lovaton 2007-09-08 08:36:00 EDT
is alright for dhcdbd to wakeup every second? is this fixable? I'm seeing this
problem on the latest RAWHIDE as of today.
Comment 5 Matthias Clasen 2007-09-08 13:08:15 EDT
not really worth investing much time into this problem for rawhide, where NM 0.7
will soon make dhcdbd unnecessary.
Comment 6 William Lovaton 2007-09-09 13:00:29 EDT
I'm glad to hear that.

Is dhcdbd needed for something else? if not, is it going to be removed from the
distribution??
Comment 7 David Cantrell 2007-09-10 10:45:41 EDT
It's only needed for NetworkManager.  Once NetworkManager is upgraded in Fedora,
dhcdbd will be removed.

Note You need to log in before you can comment on or make changes to this bug.